From 25c90d871d05c58e0022daeba535a0dc3cc3e5d7 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Thu, 6 Jul 2017 15:52:25 -0500
Subject: [PATCH 20/25] _common_ Add openssl recipe

---
 recipes/openssl.recipe | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 recipes/openssl.recipe

diff --git a/recipes/openssl.recipe b/recipes/openssl.recipe
new file mode 100644
index 0000000..35f3aba
--- /dev/null
+++ b/recipes/openssl.recipe
@@ -0,0 +1,33 @@
+import shutil
+
+from cerbero.tools.libtool import LibtoolLibrary
+
+class Recipe(recipe.Recipe):
+    name = 'openssl'
+    version = '1_0_2k'
+    tarball_dirname = 'openssl-OpenSSL_%(version)s'
+    stype = SourceType.TARBALL
+    btype = BuildType.MAKEFILE
+    url = 'https://github.com/openssl/openssl/archive/OpenSSL_%(version)s.tar.gz'
+    licenses = [License.OpenSSL]
+    configure_tpl = "./config shared no-ssl2 no-ssl3 no-comp no-hw no-engine no-dso no-asm --prefix=%(prefix)s --openssldir=%(prefix)s"
+
+    files_libs = ['libssl', 'libcrypto']
+    
+    def prepare(self):
+        self.make_install = self.make + ' install_sw'
+
+    def compile(self):
+        shell.call(self.make + ' clean', self.make_dir)
+        shell.call(self.make + ' depend', self.make_dir)
+        shell.call(self.make + ' all', self.make_dir)
+
+    def post_install(self):
+        deps = ['-lm']
+        libtool_la = LibtoolLibrary('ssl', 1, 0, None, self.config.libdir,
+                self.config.target_platform, deps)
+        libtool_la.save()
+        libtool_la = LibtoolLibrary('crypto', 1, 0, None, self.config.libdir,
+                self.config.target_platform, deps)
+        libtool_la.save()
+
-- 
2.15.0

